/* 
Theme Name: Zahnmedizin
Theme URI: https://github.com/elementor/hello-theme-child/
Description: A lite speed theme
Author: Zahnmedizin
Author URI: https://biologische-zahnmedizin-linz.at/
Template: hello-elementor
Version: 2.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

*{
	margin: 0;
	padding: 0;
}

:root{
	--transition: all .3s ease;
}

body,html{
	overflow-x: hidden;
}
.p-70{padding:70px}.py-70{padding-top:70px;padding-bottom:70px}.px-70{padding-left:70px;padding-right:70px}.pt-70{padding-top:70px}.pb-70{padding-bottom:70px}.p-60{padding:60px}.py-60{padding-top:60px;padding-bottom:60px}.px-60{padding-left:60px;padding-right:60px}.pt-60{padding-top:60px}.pb-60{padding-bottom:60px}.p-50{padding:50px}.py-50{padding-top:50px;padding-bottom:50px}.px-50{padding-left:50px;padding-right:50px}.pt-50{padding-top:50px}.pb-50{padding-bottom:50px}.p-40{padding:40px}.py-40{padding-top:40px;padding-bottom:40px}.px-40{padding-left:40px;padding-right:40px}.pt-40{padding-top:40px}.pb-40{padding-bottom:40px}.p-30{padding:30px}.py-30{padding-top:30px;padding-bottom:30px}.px-30{padding-left:30px;padding-right:30px}.pt-30{padding-top:30px}.pb-30{padding-bottom:30px}.p-20{padding:20px}.py-20{padding-top:20px;padding-bottom:20px}.px-20{padding-left:20px;padding-right:20px}.pt-20{padding-top:20px}.pb-20{padding-bottom:20px}.p-10{padding:10px}.py-10{padding-top:10px;padding-bottom:10px}.px-10{padding-left:10px;padding-right:10px}.pt-10{padding-top:10px}.pb-10{padding-bottom:10px}.p-0, .p-0 .e-con-inner{padding:0}.py-0{padding-top:0;padding-bottom:0}.px-0{padding-left:0;padding-right:0}.pt-0{padding-top:0}.pb-0{padding-bottom:0}.m-70{margin:70px}.my-70{margin-top:70px;margin-bottom:70px}.mx-70{margin-left:70px;margin-right:70px}.mt-70{margin-top:70px}.mb-70{margin-bottom:70px}.m-60{margin:60px}.my-60{margin-top:60px;margin-bottom:60px}.mx-60{margin-left:60px;margin-right:60px}.mt-60{margin-top:60px}.mb-60{margin-bottom:60px}.m-50{margin:50px}.my-50{margin-top:50px;margin-bottom:50px}.mx-50{margin-left:50px;margin-right:50px}.mt-50{margin-top:50px}.mb-50{margin-bottom:50px}.m-40{margin:40px}.my-40{margin-top:40px;margin-bottom:40px}.mx-40{margin-left:40px;margin-right:40px}.mt-40{margin-top:40px}.mb-40{margin-bottom:40px}.m-30{margin:30px}.my-30{margin-top:30px;margin-bottom:30px}.mx-30{margin-left:30px;margin-right:30px}.mt-30{margin-top:30px}.mb-30{margin-bottom:30px}.m-20{margin:20px}.my-20{margin-top:20px;margin-bottom:20px}.mx-20{margin-left:20px;margin-right:20px}.mt-20{margin-top:20px}.mb-20{margin-bottom:20px}.m-10{margin:10px}.my-10{margin-top:10px;margin-bottom:10px}.mx-10{margin-left:10px;margin-right:10px}.mt-10{margin-top:10px}.mb-10{margin-bottom:10px}.m-0{margin:0}.my-0{margin-top:0;margin-bottom:0}.mx-0{margin-left:0;margin-right:0}.mt-0{margin-top:0}.mb-0{margin-bottom:0}.round-5 {border-radius: 5px;overflow: hidden;}.round-10 {border-radius: 10px;overflow: hidden;}
/* 
::-webkit-scrollbar-track {
	background-color: #fafafa;
}
::-webkit-scrollbar {
	width: 2px;
	background-color: #fafafa;
}
::-webkit-scrollbar-thumb {
	background-color: #ddd9ff;
		border-radius: 20px;
		height: 150px;
} */

/*--Menu--*/
.elementor-menu-toggle {
    padding: 0;
    background-color: transparent;
    color: var(--e-global-color-secondary);
}
.elementor-menu-toggle span {
    display: flex;
    align-items: center;
    justify-content: center;
}
.elementor-menu-toggle span svg {
    width: 23px;
}


/*Timeline Progress*/
.timeline-progress{
    position: relative;
}
.timeline-progress:before{
    content: "";
    height: 100%;
    width: 1px;
    position: absolute;
    left: 22px;
    top: 50%;
    transform: translateY(-50%);
    background-color: var(--e-global-color-primary);
}
.timeline-progress .elementor-icon-list-icon{
    height: 45px;
    width: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f6f6f6;
    border-radius: 50%;
    padding: 10px;
}

.profile--item{
    background-color: var(--e-global-color-primary);
    overflow: hidden;
    --transition: all 0.3s ease;
}
.profile--item .photo{
     overflow: hidden;
}
.profile--item .photo img{
    transform: scale(1);
    transition: var(--transition)
}
.profile--item:hover{
    background-color: var(--e-global-color-secondary);
}
.profile--item:hover .photo img{
    transform: scale(1.2);
}

.profile--item .details{
    padding: 30px
}


.jet-popup .jet-popup__overlay {
		background: rgba(118, 104, 220, 0.10)!important;
		backdrop-filter: blur(5px)!important;
		-webkit-backdrop-filter: blur(5px)!important;
}
.primary-color{
	color: var( --e-global-color-primary );
}
.dark-color {
		color: var(--e-global-color-accent);
}
.text-center {
		text-align: center;
}
.small-text, .small-text .jet-listing-dynamic-field__content{
		font-size: 14px;
		font-weight: 400;
		line-height: 1em;
}
.small-text a{
		opacity: 1!important
}

.has-link a, a.has-link{
		position: relative;
}
.has-link a:before, a.has-link:before{
		content: "";
		height: 2px;
		width: 0;
		background-color: currentColor;
		position: absolute;
		bottom: -4px;
		transition: var(--transition);
}
.has-link a:hover:before, a.has-link:hover:before{
		width: 100%;
}


.sticky-header {
    background-color: var(--e-global-color-text);
    position: fixed;
    width: 100%;
    z-index: 9999;
    top: 0;
    left: 0;
	transition: all .3s ease;
}
.sticky-header.sticky--active {
    background-color: rgba(255, 255, 255, 0.5);
}
.sticky-header.sticky--active:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    z-index: -1;
}



.admin-bar .sticky-header {
    top: 32px;
}

@media screen and (max-width: 782px) {
    .admin-bar .sticky-header {
        top: 46px;
    }
}

@media screen and (max-width: 600px) {
    .admin-bar .sticky-header {
        top: 0;
    }
}

.header-spacer {
    display: block;
    width: 100%;
    height: var(--header-height, 0px);
    position: relative;
}



/*Home Slider*/
.slide--item {
    --min-height: calc(100vh - 65px)!important;
}
.elementor-widget-n-carousel .e-n-carousel{
    padding: 0!important
}




/*Nav Menu*/
.elementor-nav-menu--toggle .elementor-menu-toggle.elementor-active+.elementor-nav-menu__container {
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    background-color: rgba(1, 66, 50, 0.6);
    /* border-radius: 5px; */
    min-height: calc(100vh - 58.44px);
}

/*
.elementor-nav-menu .sub-menu.elementor-nav-menu--dropdown {
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    background-color: rgba(6, 6, 6, 0.9);
    border-radius: 5px;
    overflow: hidden;
}

 .elementor-nav-menu .sub-menu.elementor-nav-menu--dropdown li a {
    color: var(--e-global-color-text);
}

.elementor-nav-menu li:not(.multi-column-menu) .sub-menu.elementor-nav-menu--dropdown li a:hover {
    background-color: var(--e-global-color-text);
    color: var(--e-global-color-primary);
} */
.menu-item-object-language_switcher .trp-flag-image {
    margin-left: 0;
}

/*Search*/
.dialog-widget-content {
    background-color: rgba(6, 6, 6, 0.9);
    background-color: rgb(6 6 6 / 90%);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}
.elementor-widget-search .hide-loader .e-search-results {
    overflow: hidden!important;
}

/* markup for desktop */
@media screen and (min-width:1024px) {
	.pl-d-40{
			padding-left: 40px;
			padding-right: 40px;
	}
	.px-d-40{
			padding-left: 40px;
			padding-right: 40px;
	}
	.p-d-60{
			padding: 60px;
	}
	.hide-from-desktop {
		display: none!important;
	}
	
	.multi-column-menu ul {
		columns: 2;
		-webkit-columns: 2;
		-moz-columns: 2;
		backdrop-filter: blur(5px);
		-webkit-backdrop-filter: blur(5px);
		background-color: rgba(6, 6, 6, 0.9);
		border-radius: 5px;
		padding: 20px!important;
	}
	.multi-column-menu ul li a{
		color: var(--e-global-color-text);
		background-color: transparent!important;
		padding: 10px 0!important;
		position: relative;
	}
	.multi-column-menu ul li a:before{
		content: "";
		height: 1px;
		width: 0%;
		position: absolute;
		left: 0;
		bottom: 0;
		background-color: var(--e-global-color-text);
		transition: width .5s ease;
	}
	.multi-column-menu ul li a:hover:before{
		width: 100%;
	}
}
/* markup for tablets */
@media screen and (max-width:1024px) {
	.hide-from-tablet {
		display: none!important;
	}
	.elementor-nav-menu--toggle.elementor-nav-menu--burger.elementor-widget-nav-menu {
		flex-direction: row;
	}
	.elementor-nav-menu {
			margin-top: 20px;
	}
	.elementor-element.e-parent:not(.skip-parent) {
			padding-left: 20px;
			padding-right: 20px;
	}
 	.elementor-nav-menu--dropdown a {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	/*
	.elementor-nav-menu--dropdown a:hover, .elementor-nav-menu--dropdown a.highlighted, .elementor-nav-menu--dropdown a.elementor-item-active{
		background-color: var(--e-global-color-text)!important;
		color: var(--e-global-color-primary)!important;
		fill: var(--e-global-color-primary);
	} */
}

/* markup for mobile */
@media screen and (max-width:768px) {
	.hide-from-mobile {
		display: none!important;
	}
}
